<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="cy__result__mw_8h" kind="file" language="C++">
    <compoundname>cy_result_mw.h</compoundname>
    <includes local="no">stdint.h</includes>
    <includes local="yes">cy_result.h</includes>
    <includedby local="yes" refid="cy__json__parser_8h">cy_json_parser.h</includedby>
    <includedby local="yes" refid="cy__linked__list_8h">cy_linked_list.h</includedby>
    <incdepgraph>
      <node id="17">
        <label>stdint.h</label>
      </node>
      <node id="18">
        <label>cy_result.h</label>
      </node>
      <node id="16">
        <label>cy_result_mw.h</label>
        <link refid="cy__result__mw_8h" />
        <childnode refid="17" relation="include">
        </childnode>
        <childnode refid="18" relation="include">
        </childnode>
      </node>
    </incdepgraph>
      <sectiondef kind="define">
      <memberdef id="group__group__utils__enums_1ga6087b6a02f4b1c851fa7ebb25e92c48e" kind="define" prot="public" static="no">
        <name>CY_RSLT_MODULE_MDNS_BASE</name>
        <initializer>CY_RSLT_MODULE_MIDDLEWARE_BASE</initializer>
        <briefdescription>
<para>MDNS module base. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" bodystart="57" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" line="57" />
      </memberdef>
      <memberdef id="group__group__utils__enums_1gaa82fd59805b7cba33a1a2e036d36a715" kind="define" prot="public" static="no">
        <name>CY_RSLT_MODULE_AWS_BASE</name>
        <initializer>CY_RSLT_MODULE_MIDDLEWARE_BASE + 1</initializer>
        <briefdescription>
<para>AWS IoT module base. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" bodystart="59" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" line="59" />
      </memberdef>
      <memberdef id="group__group__utils__enums_1ga193cffda70e3f7113ac5c8da5e052525" kind="define" prot="public" static="no">
        <name>CY_RSLT_MODULE_JSON_BASE</name>
        <initializer>CY_RSLT_MODULE_MIDDLEWARE_BASE + 2</initializer>
        <briefdescription>
<para>JSON parser module base. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" bodystart="61" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" line="61" />
      </memberdef>
      <memberdef id="group__group__utils__enums_1ga39e7859c212509d8318b01e8ff7552cc" kind="define" prot="public" static="no">
        <name>CY_RSLT_MODULE_LINKED_LIST_BASE</name>
        <initializer>CY_RSLT_MODULE_MIDDLEWARE_BASE + 3</initializer>
        <briefdescription>
<para>Linked list module base. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" bodystart="63" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" line="63" />
      </memberdef>
      <memberdef id="group__group__utils__enums_1gae07ebfa97fe9719958afe96c36508e52" kind="define" prot="public" static="no">
        <name>CY_RSLT_MODULE_COMMAND_CONSOLE_BASE</name>
        <initializer>CY_RSLT_MODULE_MIDDLEWARE_BASE + 4</initializer>
        <briefdescription>
<para>command console module base </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" bodystart="65" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" line="65" />
      </memberdef>
      <memberdef id="group__group__utils__enums_1ga65c8e56083ab1e0db8f50f72202766d3" kind="define" prot="public" static="no">
        <name>CY_RSLT_MODULE_HTTP_SERVER</name>
        <initializer>CY_RSLT_MODULE_MIDDLEWARE_BASE + 5</initializer>
        <briefdescription>
<para>HTTP server module base. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" bodystart="67" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" line="67" />
      </memberdef>
      <memberdef id="group__group__utils__enums_1ga09e519a61e3fc353f591897b87ed939b" kind="define" prot="public" static="no">
        <name>CY_RSLT_MODULE_WIFI_SUPPLICANT_BASE</name>
        <initializer>CY_RSLT_MODULE_MIDDLEWARE_BASE + 6</initializer>
        <briefdescription>
<para>WiFi supplicant module base. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" bodystart="69" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" line="69" />
      </memberdef>
      <memberdef id="group__group__utils__enums_1gaf55c2af2610725e6c563775422f12a16" kind="define" prot="public" static="no">
        <name>CY_RSLT_MODULE_TCPIP_BASE</name>
        <initializer>CY_RSLT_MODULE_MIDDLEWARE_BASE + 7</initializer>
        <briefdescription>
<para>TCP/IP module base. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" bodystart="71" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" line="71" />
      </memberdef>
      <memberdef id="group__group__utils__enums_1ga6a943e98fd2c6177835730df218b2b75" kind="define" prot="public" static="no">
        <name>CY_RSLT_MODULE_MW_BASE</name>
        <initializer>CY_RSLT_MODULE_MIDDLEWARE_BASE + 8</initializer>
        <briefdescription>
<para>Generic middleware module base. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" bodystart="73" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" line="73" />
      </memberdef>
      <memberdef id="group__group__utils__enums_1ga3e05651118cb5d64279b650b3982298e" kind="define" prot="public" static="no">
        <name>CY_RSLT_MODULE_TLS_BASE</name>
        <initializer>CY_RSLT_MODULE_MIDDLEWARE_BASE + 9</initializer>
        <briefdescription>
<para>TLS module base. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" bodystart="75" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" line="75" />
      </memberdef>
      <memberdef id="group__group__utils__enums_1ga70475eb52e1f00ba64f7eaca93a5f992" kind="define" prot="public" static="no">
        <name>CY_RSLT_MODULE_SECURE_SOCKETS_BASE</name>
        <initializer>CY_RSLT_MODULE_MIDDLEWARE_BASE + 10</initializer>
        <briefdescription>
<para>Secure Sockets module base. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" bodystart="77" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" line="77" />
      </memberdef>
      <memberdef id="group__group__utils__enums_1ga835431c873619fde0721f42d3b737967" kind="define" prot="public" static="no">
        <name>CY_RSLT_MODULE_WCM_BASE</name>
        <initializer>CY_RSLT_MODULE_MIDDLEWARE_BASE + 11</initializer>
        <briefdescription>
<para>WiFi Connection Manager (WCM) module base. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" bodystart="79" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" line="79" />
      </memberdef>
      <memberdef id="group__group__utils__enums_1ga25219a019202ea56e81dec4e00a0abb1" kind="define" prot="public" static="no">
        <name>CY_RSLT_MODULE_LWIP_WHD_PORT_BASE</name>
        <initializer>CY_RSLT_MODULE_MIDDLEWARE_BASE + 12</initializer>
        <briefdescription>
<para>lwIP WHD port module base </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" bodystart="81" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" line="81" />
      </memberdef>
      <memberdef id="group__group__utils__enums_1ga0fb96e428627464276d0ffef86672e9f" kind="define" prot="public" static="no">
        <name>CY_RSLT_MODULE_OTA_UPDATE_BASE</name>
        <initializer>CY_RSLT_MODULE_MIDDLEWARE_BASE + 13</initializer>
        <briefdescription>
<para>Over The Air Update Module base (OTA) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" bodystart="83" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" line="83" />
      </memberdef>
      <memberdef id="group__generic__mw__defines_1ga3402cf260e5e6ef091fbe4e965cde85b" kind="define" prot="public" static="no">
        <name>CY_RSLT_MODULE_MW_ERR_CODE_START</name>
        <initializer>(0)</initializer>
        <briefdescription>
<para>Generic middleware error code start. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" bodystart="95" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" line="95" />
      </memberdef>
      <memberdef id="group__generic__mw__defines_1ga246d79c9096c4d0fd8cd285eb6f08817" kind="define" prot="public" static="no">
        <name>CY_RSLT_MW_ERR_BASE</name>
        <initializer>CY_RSLT_CREATE(CY_RSLT_TYPE_ERROR, <ref kindref="member" refid="group__group__utils__enums_1ga6a943e98fd2c6177835730df218b2b75">CY_RSLT_MODULE_MW_BASE</ref>, <ref kindref="member" refid="group__generic__mw__defines_1ga3402cf260e5e6ef091fbe4e965cde85b">CY_RSLT_MODULE_MW_ERR_CODE_START</ref>)</initializer>
        <briefdescription>
<para>Generic middleware base error code. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" bodystart="97" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" line="97" />
      </memberdef>
      <memberdef id="group__generic__mw__defines_1ga721e32ee4c7a48e28b5a8159955ee08d" kind="define" prot="public" static="no">
        <name>CY_RSLT_MW_ERROR</name>
        <initializer>( <ref kindref="member" refid="group__generic__mw__defines_1ga246d79c9096c4d0fd8cd285eb6f08817">CY_RSLT_MW_ERR_BASE</ref> + 1 )</initializer>
        <briefdescription>
<para>Generic middleware error. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" bodystart="99" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" line="99" />
      </memberdef>
      <memberdef id="group__generic__mw__defines_1ga8a78783ca13487fb060287bac1cf8c79" kind="define" prot="public" static="no">
        <name>CY_RSLT_MW_TIMEOUT</name>
        <initializer>( <ref kindref="member" refid="group__generic__mw__defines_1ga246d79c9096c4d0fd8cd285eb6f08817">CY_RSLT_MW_ERR_BASE</ref> + 2 )</initializer>
        <briefdescription>
<para>Generic middleware timeout. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" bodystart="101" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" line="101" />
      </memberdef>
      <memberdef id="group__generic__mw__defines_1ga22c099876d15623854b18f79b8b7a814" kind="define" prot="public" static="no">
        <name>CY_RSLT_MW_BADARG</name>
        <initializer>( <ref kindref="member" refid="group__generic__mw__defines_1ga246d79c9096c4d0fd8cd285eb6f08817">CY_RSLT_MW_ERR_BASE</ref> + 3 )</initializer>
        <briefdescription>
<para>Generic middleware bad argument. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" bodystart="103" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" line="103" />
      </memberdef>
      <memberdef id="group__generic__mw__defines_1gab28ab3f1bd054af3aea934a38d29d4b0" kind="define" prot="public" static="no">
        <name>CY_RSLT_MW_OUT_OF_HEAP_SPACE</name>
        <initializer>( <ref kindref="member" refid="group__generic__mw__defines_1ga246d79c9096c4d0fd8cd285eb6f08817">CY_RSLT_MW_ERR_BASE</ref> + 4 )</initializer>
        <briefdescription>
<para>Generic middleware out of heap memory. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" bodystart="105" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" line="105" />
      </memberdef>
      <memberdef id="group__generic__mw__defines_1ga1867623bbe1d9b98a242c7b078e52a38" kind="define" prot="public" static="no">
        <name>CY_RSLT_MW_PENDNG</name>
        <initializer>( <ref kindref="member" refid="group__generic__mw__defines_1ga246d79c9096c4d0fd8cd285eb6f08817">CY_RSLT_MW_ERR_BASE</ref> + 5 )</initializer>
        <briefdescription>
<para>Generic middleware pending operation. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" bodystart="107" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" line="107" />
      </memberdef>
      <memberdef id="group__generic__mw__defines_1gadaca16aa69aa01e3dde819c6dfa023f5" kind="define" prot="public" static="no">
        <name>CY_RSLT_MW_UNSUPPORTED</name>
        <initializer>( <ref kindref="member" refid="group__generic__mw__defines_1ga246d79c9096c4d0fd8cd285eb6f08817">CY_RSLT_MW_ERR_BASE</ref> + 6 )</initializer>
        <briefdescription>
<para>Generic middleware unsupported method. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" bodystart="109" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" line="109" />
      </memberdef>
      <memberdef id="group__generic__mw__defines_1gaf866f2a90f7a606cc40a7317d924045a" kind="define" prot="public" static="no">
        <name>CY_RSLT_MW_BUFFER_UNAVAIL_TEMPORARILY</name>
        <initializer>( <ref kindref="member" refid="group__generic__mw__defines_1ga246d79c9096c4d0fd8cd285eb6f08817">CY_RSLT_MW_ERR_BASE</ref> + 7 )</initializer>
        <briefdescription>
<para>Generic middleware buffer unavailable. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" bodystart="111" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" line="111" />
      </memberdef>
      <memberdef id="group__tcpip__mw__defines_1ga9e8e69fb1bacfb76cd7b35223741bc6f" kind="define" prot="public" static="no">
        <name>CY_RSLT_MODULE_TCPIP_ERR_CODE_START</name>
        <initializer>(0)</initializer>
        <briefdescription>
<para>TCP/IP error code start. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" bodystart="123" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" line="123" />
      </memberdef>
      <memberdef id="group__tcpip__mw__defines_1ga5fed261c67e0e08a79ecbd2c38f9ff90" kind="define" prot="public" static="no">
        <name>CY_RSLT_TCPIP_ERR_BASE</name>
        <initializer>CY_RSLT_CREATE(CY_RSLT_TYPE_ERROR, <ref kindref="member" refid="group__group__utils__enums_1gaf55c2af2610725e6c563775422f12a16">CY_RSLT_MODULE_TCPIP_BASE</ref>, <ref kindref="member" refid="group__tcpip__mw__defines_1ga9e8e69fb1bacfb76cd7b35223741bc6f">CY_RSLT_MODULE_TCPIP_ERR_CODE_START</ref>)</initializer>
        <briefdescription>
<para>TCPIP/IP base error code. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" bodystart="125" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" line="125" />
      </memberdef>
      <memberdef id="group__tcpip__mw__defines_1ga17642cc0419d61cdf5e1bade7305a588" kind="define" prot="public" static="no">
        <name>CY_RSLT_TCPIP_ERROR</name>
        <initializer>( <ref kindref="member" refid="group__tcpip__mw__defines_1ga5fed261c67e0e08a79ecbd2c38f9ff90">CY_RSLT_TCPIP_ERR_BASE</ref> + 1 )</initializer>
        <briefdescription>
<para>TCP/IP generic error. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" bodystart="127" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" line="127" />
      </memberdef>
      <memberdef id="group__tcpip__mw__defines_1ga38fb6c122779c4f75f0c0ce37ce2e43d" kind="define" prot="public" static="no">
        <name>CY_RSLT_TCPIP_TIMEOUT</name>
        <initializer>( <ref kindref="member" refid="group__tcpip__mw__defines_1ga5fed261c67e0e08a79ecbd2c38f9ff90">CY_RSLT_TCPIP_ERR_BASE</ref> + 2 )</initializer>
        <briefdescription>
<para>TCP/IP timeout. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" bodystart="129" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" line="129" />
      </memberdef>
      <memberdef id="group__tcpip__mw__defines_1gaf21338ca1e3f46641e25ae4ec67457dd" kind="define" prot="public" static="no">
        <name>CY_RSLT_TCPIP_ERROR_NO_MEMORY</name>
        <initializer>( <ref kindref="member" refid="group__tcpip__mw__defines_1ga5fed261c67e0e08a79ecbd2c38f9ff90">CY_RSLT_TCPIP_ERR_BASE</ref> + 3 )</initializer>
        <briefdescription>
<para>TCP/IP out of memory. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" bodystart="131" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" line="131" />
      </memberdef>
      <memberdef id="group__tcpip__mw__defines_1ga459435add0417e9dedc79891da0ff25e" kind="define" prot="public" static="no">
        <name>CY_RSLT_TCPIP_ERROR_SOCKET_OPEN</name>
        <initializer>( <ref kindref="member" refid="group__tcpip__mw__defines_1ga5fed261c67e0e08a79ecbd2c38f9ff90">CY_RSLT_TCPIP_ERR_BASE</ref> + 4 )</initializer>
        <briefdescription>
<para>TCP/IP error opening socket. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" bodystart="133" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" line="133" />
      </memberdef>
      <memberdef id="group__tcpip__mw__defines_1gab3fe3039d2c1d6e20a8f8838b3e1321d" kind="define" prot="public" static="no">
        <name>CY_RSLT_TCPIP_ERROR_SOCKET_BIND</name>
        <initializer>( <ref kindref="member" refid="group__tcpip__mw__defines_1ga5fed261c67e0e08a79ecbd2c38f9ff90">CY_RSLT_TCPIP_ERR_BASE</ref> + 5 )</initializer>
        <briefdescription>
<para>TCP/IP error binding socket. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" bodystart="135" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" line="135" />
      </memberdef>
      <memberdef id="group__tcpip__mw__defines_1ga78460eabca7186263759b997e7d48e61" kind="define" prot="public" static="no">
        <name>CY_RSLT_TCPIP_ERROR_SOCKET_LISTEN</name>
        <initializer>( <ref kindref="member" refid="group__tcpip__mw__defines_1ga5fed261c67e0e08a79ecbd2c38f9ff90">CY_RSLT_TCPIP_ERR_BASE</ref> + 6 )</initializer>
        <briefdescription>
<para>TCP/IP error listening to socket. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" bodystart="137" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" line="137" />
      </memberdef>
      <memberdef id="group__tcpip__mw__defines_1ga2633398a926d2dd9bc03749b351df630" kind="define" prot="public" static="no">
        <name>CY_RSLT_TCPIP_ERROR_SOCKET_ACCEPT</name>
        <initializer>( <ref kindref="member" refid="group__tcpip__mw__defines_1ga5fed261c67e0e08a79ecbd2c38f9ff90">CY_RSLT_TCPIP_ERR_BASE</ref> + 7 )</initializer>
        <briefdescription>
<para>TCP/IP error accepting socket. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" bodystart="139" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" line="139" />
      </memberdef>
      <memberdef id="group__tcpip__mw__defines_1ga509559246795922a4c7a516ccbb5f72a" kind="define" prot="public" static="no">
        <name>CY_RSLT_TCPIP_ERROR_TLS_OPERATION</name>
        <initializer>( <ref kindref="member" refid="group__tcpip__mw__defines_1ga5fed261c67e0e08a79ecbd2c38f9ff90">CY_RSLT_TCPIP_ERR_BASE</ref> + 8 )</initializer>
        <briefdescription>
<para>TCP/IP error with TLS operation. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" bodystart="141" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" line="141" />
      </memberdef>
      <memberdef id="group__tcpip__mw__defines_1ga391d1a3cd36aa10eaa82a6ac73b9187f" kind="define" prot="public" static="no">
        <name>CY_RSLT_TCPIP_ERROR_NO_MORE_SOCKET</name>
        <initializer>( <ref kindref="member" refid="group__tcpip__mw__defines_1ga5fed261c67e0e08a79ecbd2c38f9ff90">CY_RSLT_TCPIP_ERR_BASE</ref> + 9 )</initializer>
        <briefdescription>
<para>TCP/IP max sockets bound. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" bodystart="143" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" line="143" />
      </memberdef>
      <memberdef id="group__tcpip__mw__defines_1ga9c865ee43b7860ff489e1b1f199d043f" kind="define" prot="public" static="no">
        <name>CY_RSLT_TCPIP_ERROR_SEND</name>
        <initializer>( <ref kindref="member" refid="group__tcpip__mw__defines_1ga5fed261c67e0e08a79ecbd2c38f9ff90">CY_RSLT_TCPIP_ERR_BASE</ref> + 10)</initializer>
        <briefdescription>
<para>TCP/IP error sending data. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" bodystart="145" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" line="145" />
      </memberdef>
      <memberdef id="group__tcpip__mw__defines_1ga87793452f910e657035ba95103e4daa3" kind="define" prot="public" static="no">
        <name>CY_RSLT_TCPIP_ERROR_RECEIVE</name>
        <initializer>( <ref kindref="member" refid="group__tcpip__mw__defines_1ga5fed261c67e0e08a79ecbd2c38f9ff90">CY_RSLT_TCPIP_ERR_BASE</ref> + 11)</initializer>
        <briefdescription>
<para>TCP/IP error receiving data. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" bodystart="147" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" line="147" />
      </memberdef>
      <memberdef id="group__tcpip__mw__defines_1ga181f685c0c7f81d29c2b48003b70a278" kind="define" prot="public" static="no">
        <name>CY_RSLT_TCPIP_ERROR_SOCKET_OPTIONS</name>
        <initializer>( <ref kindref="member" refid="group__tcpip__mw__defines_1ga5fed261c67e0e08a79ecbd2c38f9ff90">CY_RSLT_TCPIP_ERR_BASE</ref> + 12 )</initializer>
        <briefdescription>
<para>TCP/IP error in setting socket options. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" bodystart="149" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" line="149" />
      </memberdef>
      <memberdef id="group__tls__mw__defines_1ga9eeffe773ca1a02dc8bf085d0db95ec9" kind="define" prot="public" static="no">
        <name>CY_RSLT_MODULE_TLS_ERR_CODE_START</name>
        <initializer>(0)</initializer>
        <briefdescription>
<para>TLS error code start. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" bodystart="162" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" line="162" />
      </memberdef>
      <memberdef id="group__tls__mw__defines_1ga0ed14519f02a201dc5e4a22142c72ed9" kind="define" prot="public" static="no">
        <name>CY_RSLT_TLS_ERR_BASE</name>
        <initializer>CY_RSLT_CREATE(CY_RSLT_TYPE_ERROR, <ref kindref="member" refid="group__group__utils__enums_1ga3e05651118cb5d64279b650b3982298e">CY_RSLT_MODULE_TLS_BASE</ref>, <ref kindref="member" refid="group__tls__mw__defines_1ga9eeffe773ca1a02dc8bf085d0db95ec9">CY_RSLT_MODULE_TLS_ERR_CODE_START</ref>)</initializer>
        <briefdescription>
<para>TLS base error code. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" bodystart="164" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" line="164" />
      </memberdef>
      <memberdef id="group__tls__mw__defines_1ga646454051a5a520991e9bc3be569b6ba" kind="define" prot="public" static="no">
        <name>CY_RSLT_MODULE_TLS_ERROR</name>
        <initializer>( <ref kindref="member" refid="group__tls__mw__defines_1ga0ed14519f02a201dc5e4a22142c72ed9">CY_RSLT_TLS_ERR_BASE</ref> + 1 )</initializer>
        <briefdescription>
<para>TLS generic error. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" bodystart="166" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" line="166" />
      </memberdef>
      <memberdef id="group__tls__mw__defines_1ga63b1762e48b89f706d33b17149153c2a" kind="define" prot="public" static="no">
        <name>CY_RSLT_MODULE_TLS_TIMEOUT</name>
        <initializer>( <ref kindref="member" refid="group__tls__mw__defines_1ga0ed14519f02a201dc5e4a22142c72ed9">CY_RSLT_TLS_ERR_BASE</ref> + 2 )</initializer>
        <briefdescription>
<para>TLS timeout error. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" bodystart="168" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" line="168" />
      </memberdef>
      <memberdef id="group__tls__mw__defines_1ga7c53c63a891a31404bfff289447f0e84" kind="define" prot="public" static="no">
        <name>CY_RSLT_MODULE_TLS_BADARG</name>
        <initializer>( <ref kindref="member" refid="group__tls__mw__defines_1ga0ed14519f02a201dc5e4a22142c72ed9">CY_RSLT_TLS_ERR_BASE</ref> + 3 )</initializer>
        <briefdescription>
<para>TLS bad argument. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" bodystart="170" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" line="170" />
      </memberdef>
      <memberdef id="group__tls__mw__defines_1gab9fa1fd6b2b9df46285db14534b038c6" kind="define" prot="public" static="no">
        <name>CY_RSLT_MODULE_TLS_OUT_OF_HEAP_SPACE</name>
        <initializer>( <ref kindref="member" refid="group__tls__mw__defines_1ga0ed14519f02a201dc5e4a22142c72ed9">CY_RSLT_TLS_ERR_BASE</ref> + 4 )</initializer>
        <briefdescription>
<para>TLS out of memory. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" bodystart="172" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" line="172" />
      </memberdef>
      <memberdef id="group__tls__mw__defines_1ga49651995a50f26696e810bb6f0da0776" kind="define" prot="public" static="no">
        <name>CY_RSLT_MODULE_TLS_BAD_INPUT_DATA</name>
        <initializer>( <ref kindref="member" refid="group__tls__mw__defines_1ga0ed14519f02a201dc5e4a22142c72ed9">CY_RSLT_TLS_ERR_BASE</ref> + 5 )</initializer>
        <briefdescription>
<para>TLS bad input. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" bodystart="174" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" line="174" />
      </memberdef>
      <memberdef id="group__tls__mw__defines_1ga8cd56eafc882e60622e3628867a78287" kind="define" prot="public" static="no">
        <name>CY_RSLT_MODULE_TLS_PARSE_KEY</name>
        <initializer>( <ref kindref="member" refid="group__tls__mw__defines_1ga0ed14519f02a201dc5e4a22142c72ed9">CY_RSLT_TLS_ERR_BASE</ref> + 6 )</initializer>
        <briefdescription>
<para>TLS error parsing private key. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" bodystart="176" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" line="176" />
      </memberdef>
      <memberdef id="group__tls__mw__defines_1gade4ac97536edb4b350d9b8a60bb74306" kind="define" prot="public" static="no">
        <name>CY_RSLT_MODULE_TLS_PARSE_CERTIFICATE</name>
        <initializer>( <ref kindref="member" refid="group__tls__mw__defines_1ga0ed14519f02a201dc5e4a22142c72ed9">CY_RSLT_TLS_ERR_BASE</ref> + 7 )</initializer>
        <briefdescription>
<para>TLS error parsing certificate. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" bodystart="178" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" line="178" />
      </memberdef>
      <memberdef id="group__tls__mw__defines_1gab215ddbeeab62c35704bba3941c681d3" kind="define" prot="public" static="no">
        <name>CY_RSLT_MODULE_TLS_UNSUPPORTED</name>
        <initializer>( <ref kindref="member" refid="group__tls__mw__defines_1ga0ed14519f02a201dc5e4a22142c72ed9">CY_RSLT_TLS_ERR_BASE</ref> + 8 )</initializer>
        <briefdescription>
<para>TLS unsupported method. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" bodystart="180" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" line="180" />
      </memberdef>
      <memberdef id="group__tls__mw__defines_1ga5e15a15c1759218cba4d5bdd570b86a1" kind="define" prot="public" static="no">
        <name>CY_RSLT_MODULE_TLS_HANDSHAKE_FAILURE</name>
        <initializer>( <ref kindref="member" refid="group__tls__mw__defines_1ga0ed14519f02a201dc5e4a22142c72ed9">CY_RSLT_TLS_ERR_BASE</ref> + 9 )</initializer>
        <briefdescription>
<para>TLS handshake failure. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" bodystart="182" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" line="182" />
      </memberdef>
      <memberdef id="group__tls__mw__defines_1ga65c622db9c051f50a2596e83d971d64e" kind="define" prot="public" static="no">
        <name>CY_RSLT_MODULE_TLS_CONNECTION_CLOSED</name>
        <initializer>( <ref kindref="member" refid="group__tls__mw__defines_1ga0ed14519f02a201dc5e4a22142c72ed9">CY_RSLT_TLS_ERR_BASE</ref> + 10 )</initializer>
        <briefdescription>
<para>TLS socket connection closed by peer. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" bodystart="184" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" line="184" />
      </memberdef>
      <memberdef id="group__tls__mw__defines_1gafb1223ef6646c39d3a2fff67a9a99244" kind="define" prot="public" static="no">
        <name>CY_RSLT_MODULE_TLS_SOCKET_NOT_CONNECTED</name>
        <initializer>( <ref kindref="member" refid="group__tls__mw__defines_1ga0ed14519f02a201dc5e4a22142c72ed9">CY_RSLT_TLS_ERR_BASE</ref> + 11 )</initializer>
        <briefdescription>
<para>TLS socket not connected. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" bodystart="186" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" line="186" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/*</highlight></codeline>
<codeline lineno="2"><highlight class="comment"><sp />*<sp />$<sp />Copyright<sp />2019-YEAR<sp />Cypress<sp />Semiconductor<sp />Apache2<sp />$</highlight></codeline>
<codeline lineno="3"><highlight class="comment"><sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="4"><highlight class="normal" /><highlight class="preprocessor">#pragma<sp />once</highlight><highlight class="normal" /></codeline>
<codeline lineno="5"><highlight class="normal" /></codeline>
<codeline lineno="6"><highlight class="normal" /><highlight class="preprocessor">#include<sp />&lt;stdint.h&gt;</highlight><highlight class="normal" /></codeline>
<codeline lineno="7"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_result.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="8"><highlight class="normal" /></codeline>
<codeline lineno="9"><highlight class="normal" /><highlight class="preprocessor">#ifdef<sp />__cplusplus</highlight><highlight class="normal" /></codeline>
<codeline lineno="10"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="stringliteral">"C"</highlight><highlight class="normal"><sp />{</highlight></codeline>
<codeline lineno="11"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="12"><highlight class="normal" /></codeline>
<codeline lineno="51"><highlight class="normal"><sp /></highlight><highlight class="comment">/*<sp />!!!<sp />ALWAYS<sp />ADD<sp />MODULE<sp />BASES<sp />AT<sp />THE<sp />END.<sp />DO<sp />NOT<sp />INSERT<sp />NEW<sp />MODULES<sp />IN<sp />BETWEEN<sp />EXISTING<sp />MODULES<sp />!!!</highlight></codeline>
<codeline lineno="52"><highlight class="comment"><sp />*<sp />The<sp />expectation<sp />is<sp />that<sp />all<sp />middleware<sp />modules<sp />shall<sp />define<sp />their<sp />base<sp />out<sp />of<sp />this<sp />file<sp />so</highlight></codeline>
<codeline lineno="53"><highlight class="comment"><sp />*<sp />that<sp />the<sp />error<sp />code<sp />space<sp />can<sp />be<sp />reserved<sp />and<sp />allotted<sp />efficiently</highlight></codeline>
<codeline lineno="54"><highlight class="comment"><sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="55"><highlight class="normal" /></codeline>
<codeline lineno="57"><highlight class="preprocessor">#define<sp />CY_RSLT_MODULE_MDNS_BASE<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_RSLT_MODULE_MIDDLEWARE_BASE</highlight><highlight class="normal" /></codeline>
<codeline lineno="58"><highlight class="normal" /></codeline>
<codeline lineno="59"><highlight class="preprocessor">#define<sp />CY_RSLT_MODULE_AWS_BASE<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_RSLT_MODULE_MIDDLEWARE_BASE<sp />+<sp />1</highlight><highlight class="normal" /></codeline>
<codeline lineno="60"><highlight class="normal" /></codeline>
<codeline lineno="61"><highlight class="preprocessor">#define<sp />CY_RSLT_MODULE_JSON_BASE<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_RSLT_MODULE_MIDDLEWARE_BASE<sp />+<sp />2</highlight><highlight class="normal" /></codeline>
<codeline lineno="62"><highlight class="normal" /></codeline>
<codeline lineno="63"><highlight class="preprocessor">#define<sp />CY_RSLT_MODULE_LINKED_LIST_BASE<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_RSLT_MODULE_MIDDLEWARE_BASE<sp />+<sp />3</highlight><highlight class="normal" /></codeline>
<codeline lineno="64"><highlight class="normal" /></codeline>
<codeline lineno="65"><highlight class="preprocessor">#define<sp />CY_RSLT_MODULE_COMMAND_CONSOLE_BASE<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_RSLT_MODULE_MIDDLEWARE_BASE<sp />+<sp />4</highlight><highlight class="normal" /></codeline>
<codeline lineno="66"><highlight class="normal" /></codeline>
<codeline lineno="67"><highlight class="preprocessor">#define<sp />CY_RSLT_MODULE_HTTP_SERVER<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_RSLT_MODULE_MIDDLEWARE_BASE<sp />+<sp />5</highlight><highlight class="normal" /></codeline>
<codeline lineno="68"><highlight class="normal" /></codeline>
<codeline lineno="69"><highlight class="preprocessor">#define<sp />CY_RSLT_MODULE_WIFI_SUPPLICANT_BASE<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_RSLT_MODULE_MIDDLEWARE_BASE<sp />+<sp />6</highlight><highlight class="normal" /></codeline>
<codeline lineno="70"><highlight class="normal" /></codeline>
<codeline lineno="71"><highlight class="preprocessor">#define<sp />CY_RSLT_MODULE_TCPIP_BASE<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_RSLT_MODULE_MIDDLEWARE_BASE<sp />+<sp />7</highlight><highlight class="normal" /></codeline>
<codeline lineno="72"><highlight class="normal" /></codeline>
<codeline lineno="73"><highlight class="preprocessor">#define<sp />CY_RSLT_MODULE_MW_BASE<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_RSLT_MODULE_MIDDLEWARE_BASE<sp />+<sp />8</highlight><highlight class="normal" /></codeline>
<codeline lineno="74"><highlight class="normal" /></codeline>
<codeline lineno="75"><highlight class="preprocessor">#define<sp />CY_RSLT_MODULE_TLS_BASE<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_RSLT_MODULE_MIDDLEWARE_BASE<sp />+<sp />9</highlight><highlight class="normal" /></codeline>
<codeline lineno="76"><highlight class="normal" /></codeline>
<codeline lineno="77"><highlight class="preprocessor">#define<sp />CY_RSLT_MODULE_SECURE_SOCKETS_BASE<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_RSLT_MODULE_MIDDLEWARE_BASE<sp />+<sp />10</highlight><highlight class="normal" /></codeline>
<codeline lineno="78"><highlight class="normal" /></codeline>
<codeline lineno="79"><highlight class="preprocessor">#define<sp />CY_RSLT_MODULE_WCM_BASE<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_RSLT_MODULE_MIDDLEWARE_BASE<sp />+<sp />11</highlight><highlight class="normal" /></codeline>
<codeline lineno="80"><highlight class="normal" /></codeline>
<codeline lineno="81"><highlight class="preprocessor">#define<sp />CY_RSLT_MODULE_LWIP_WHD_PORT_BASE<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_RSLT_MODULE_MIDDLEWARE_BASE<sp />+<sp />12</highlight><highlight class="normal" /></codeline>
<codeline lineno="82"><highlight class="normal" /></codeline>
<codeline lineno="83"><highlight class="preprocessor">#define<sp />CY_RSLT_MODULE_OTA_UPDATE_BASE<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_RSLT_MODULE_MIDDLEWARE_BASE<sp />+<sp />13</highlight><highlight class="normal" /></codeline>
<codeline lineno="84"><highlight class="normal" /></codeline>
<codeline lineno="95"><highlight class="preprocessor">#define<sp />CY_RSLT_MODULE_MW_ERR_CODE_START<sp /><sp /><sp /><sp /><sp /><sp /><sp />(0)</highlight><highlight class="normal" /></codeline>
<codeline lineno="96"><highlight class="normal" /></codeline>
<codeline lineno="97"><highlight class="preprocessor">#define<sp />CY_RSLT_MW_ERR_BASE<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_RSLT_CREATE(CY_RSLT_TYPE_ERROR,<sp />CY_RSLT_MODULE_MW_BASE,<sp />CY_RSLT_MODULE_MW_ERR_CODE_START)</highlight><highlight class="normal" /></codeline>
<codeline lineno="98"><highlight class="normal" /></codeline>
<codeline lineno="99"><highlight class="preprocessor">#define<sp />CY_RSLT_MW_ERROR<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(<sp />CY_RSLT_MW_ERR_BASE<sp />+<sp />1<sp />)</highlight><highlight class="normal" /></codeline>
<codeline lineno="100"><highlight class="normal" /></codeline>
<codeline lineno="101"><highlight class="preprocessor">#define<sp />CY_RSLT_MW_TIMEOUT<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(<sp />CY_RSLT_MW_ERR_BASE<sp />+<sp />2<sp />)</highlight><highlight class="normal" /></codeline>
<codeline lineno="102"><highlight class="normal" /></codeline>
<codeline lineno="103"><highlight class="preprocessor">#define<sp />CY_RSLT_MW_BADARG<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(<sp />CY_RSLT_MW_ERR_BASE<sp />+<sp />3<sp />)</highlight><highlight class="normal" /></codeline>
<codeline lineno="104"><highlight class="normal" /></codeline>
<codeline lineno="105"><highlight class="preprocessor">#define<sp />CY_RSLT_MW_OUT_OF_HEAP_SPACE<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(<sp />CY_RSLT_MW_ERR_BASE<sp />+<sp />4<sp />)</highlight><highlight class="normal" /></codeline>
<codeline lineno="106"><highlight class="normal" /></codeline>
<codeline lineno="107"><highlight class="preprocessor">#define<sp />CY_RSLT_MW_PENDNG<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(<sp />CY_RSLT_MW_ERR_BASE<sp />+<sp />5<sp />)</highlight><highlight class="normal" /></codeline>
<codeline lineno="108"><highlight class="normal" /></codeline>
<codeline lineno="109"><highlight class="preprocessor">#define<sp />CY_RSLT_MW_UNSUPPORTED<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(<sp />CY_RSLT_MW_ERR_BASE<sp />+<sp />6<sp />)</highlight><highlight class="normal" /></codeline>
<codeline lineno="110"><highlight class="normal" /></codeline>
<codeline lineno="111"><highlight class="preprocessor">#define<sp />CY_RSLT_MW_BUFFER_UNAVAIL_TEMPORARILY<sp />(<sp />CY_RSLT_MW_ERR_BASE<sp />+<sp />7<sp />)</highlight><highlight class="normal" /></codeline>
<codeline lineno="112"><highlight class="normal" /></codeline>
<codeline lineno="123"><highlight class="preprocessor">#define<sp />CY_RSLT_MODULE_TCPIP_ERR_CODE_START<sp /><sp /><sp /><sp /><sp /><sp /><sp />(0)</highlight><highlight class="normal" /></codeline>
<codeline lineno="124"><highlight class="normal" /></codeline>
<codeline lineno="125"><highlight class="preprocessor">#define<sp />CY_RSLT_TCPIP_ERR_BASE<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_RSLT_CREATE(CY_RSLT_TYPE_ERROR,<sp />CY_RSLT_MODULE_TCPIP_BASE,<sp />CY_RSLT_MODULE_TCPIP_ERR_CODE_START)</highlight><highlight class="normal" /></codeline>
<codeline lineno="126"><highlight class="normal" /></codeline>
<codeline lineno="127"><highlight class="preprocessor">#define<sp />CY_RSLT_TCPIP_ERROR<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(<sp />CY_RSLT_TCPIP_ERR_BASE<sp />+<sp />1<sp />)</highlight><highlight class="normal" /></codeline>
<codeline lineno="128"><highlight class="normal" /></codeline>
<codeline lineno="129"><highlight class="preprocessor">#define<sp />CY_RSLT_TCPIP_TIMEOUT<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(<sp />CY_RSLT_TCPIP_ERR_BASE<sp />+<sp />2<sp />)</highlight><highlight class="normal" /></codeline>
<codeline lineno="130"><highlight class="normal" /></codeline>
<codeline lineno="131"><highlight class="preprocessor">#define<sp />CY_RSLT_TCPIP_ERROR_NO_MEMORY<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(<sp />CY_RSLT_TCPIP_ERR_BASE<sp />+<sp />3<sp />)</highlight><highlight class="normal" /></codeline>
<codeline lineno="132"><highlight class="normal" /></codeline>
<codeline lineno="133"><highlight class="preprocessor">#define<sp />CY_RSLT_TCPIP_ERROR_SOCKET_OPEN<sp /><sp /><sp /><sp /><sp /><sp /><sp />(<sp />CY_RSLT_TCPIP_ERR_BASE<sp />+<sp />4<sp />)</highlight><highlight class="normal" /></codeline>
<codeline lineno="134"><highlight class="normal" /></codeline>
<codeline lineno="135"><highlight class="preprocessor">#define<sp />CY_RSLT_TCPIP_ERROR_SOCKET_BIND<sp /><sp /><sp /><sp /><sp /><sp /><sp />(<sp />CY_RSLT_TCPIP_ERR_BASE<sp />+<sp />5<sp />)</highlight><highlight class="normal" /></codeline>
<codeline lineno="136"><highlight class="normal" /></codeline>
<codeline lineno="137"><highlight class="preprocessor">#define<sp />CY_RSLT_TCPIP_ERROR_SOCKET_LISTEN<sp /><sp /><sp /><sp /><sp />(<sp />CY_RSLT_TCPIP_ERR_BASE<sp />+<sp />6<sp />)</highlight><highlight class="normal" /></codeline>
<codeline lineno="138"><highlight class="normal" /></codeline>
<codeline lineno="139"><highlight class="preprocessor">#define<sp />CY_RSLT_TCPIP_ERROR_SOCKET_ACCEPT<sp /><sp /><sp /><sp /><sp />(<sp />CY_RSLT_TCPIP_ERR_BASE<sp />+<sp />7<sp />)</highlight><highlight class="normal" /></codeline>
<codeline lineno="140"><highlight class="normal" /></codeline>
<codeline lineno="141"><highlight class="preprocessor">#define<sp />CY_RSLT_TCPIP_ERROR_TLS_OPERATION<sp /><sp /><sp /><sp /><sp />(<sp />CY_RSLT_TCPIP_ERR_BASE<sp />+<sp />8<sp />)</highlight><highlight class="normal" /></codeline>
<codeline lineno="142"><highlight class="normal" /></codeline>
<codeline lineno="143"><highlight class="preprocessor">#define<sp />CY_RSLT_TCPIP_ERROR_NO_MORE_SOCKET<sp /><sp /><sp /><sp />(<sp />CY_RSLT_TCPIP_ERR_BASE<sp />+<sp />9<sp />)</highlight><highlight class="normal" /></codeline>
<codeline lineno="144"><highlight class="normal" /></codeline>
<codeline lineno="145"><highlight class="preprocessor">#define<sp />CY_RSLT_TCPIP_ERROR_SEND<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(<sp />CY_RSLT_TCPIP_ERR_BASE<sp />+<sp />10)</highlight><highlight class="normal" /></codeline>
<codeline lineno="146"><highlight class="normal" /></codeline>
<codeline lineno="147"><highlight class="preprocessor">#define<sp />CY_RSLT_TCPIP_ERROR_RECEIVE<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(<sp />CY_RSLT_TCPIP_ERR_BASE<sp />+<sp />11)</highlight><highlight class="normal" /></codeline>
<codeline lineno="148"><highlight class="normal" /></codeline>
<codeline lineno="149"><highlight class="preprocessor">#define<sp />CY_RSLT_TCPIP_ERROR_SOCKET_OPTIONS<sp /><sp /><sp /><sp />(<sp />CY_RSLT_TCPIP_ERR_BASE<sp />+<sp />12<sp />)</highlight><highlight class="normal" /></codeline>
<codeline lineno="150"><highlight class="normal" /></codeline>
<codeline lineno="151"><highlight class="normal" /></codeline>
<codeline lineno="162"><highlight class="preprocessor">#define<sp />CY_RSLT_MODULE_TLS_ERR_CODE_START<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0)</highlight><highlight class="normal" /></codeline>
<codeline lineno="163"><highlight class="normal" /></codeline>
<codeline lineno="164"><highlight class="preprocessor">#define<sp />CY_RSLT_TLS_ERR_BASE<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_RSLT_CREATE(CY_RSLT_TYPE_ERROR,<sp />CY_RSLT_MODULE_TLS_BASE,<sp />CY_RSLT_MODULE_TLS_ERR_CODE_START)</highlight><highlight class="normal" /></codeline>
<codeline lineno="165"><highlight class="normal" /></codeline>
<codeline lineno="166"><highlight class="preprocessor">#define<sp />CY_RSLT_MODULE_TLS_ERROR<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(<sp />CY_RSLT_TLS_ERR_BASE<sp />+<sp />1<sp />)</highlight><highlight class="normal" /></codeline>
<codeline lineno="167"><highlight class="normal" /></codeline>
<codeline lineno="168"><highlight class="preprocessor">#define<sp />CY_RSLT_MODULE_TLS_TIMEOUT<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(<sp />CY_RSLT_TLS_ERR_BASE<sp />+<sp />2<sp />)</highlight><highlight class="normal" /></codeline>
<codeline lineno="169"><highlight class="normal" /></codeline>
<codeline lineno="170"><highlight class="preprocessor">#define<sp />CY_RSLT_MODULE_TLS_BADARG<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(<sp />CY_RSLT_TLS_ERR_BASE<sp />+<sp />3<sp />)</highlight><highlight class="normal" /></codeline>
<codeline lineno="171"><highlight class="normal" /></codeline>
<codeline lineno="172"><highlight class="preprocessor">#define<sp />CY_RSLT_MODULE_TLS_OUT_OF_HEAP_SPACE<sp /><sp /><sp /><sp /><sp />(<sp />CY_RSLT_TLS_ERR_BASE<sp />+<sp />4<sp />)</highlight><highlight class="normal" /></codeline>
<codeline lineno="173"><highlight class="normal" /></codeline>
<codeline lineno="174"><highlight class="preprocessor">#define<sp />CY_RSLT_MODULE_TLS_BAD_INPUT_DATA<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(<sp />CY_RSLT_TLS_ERR_BASE<sp />+<sp />5<sp />)</highlight><highlight class="normal" /></codeline>
<codeline lineno="175"><highlight class="normal" /></codeline>
<codeline lineno="176"><highlight class="preprocessor">#define<sp />CY_RSLT_MODULE_TLS_PARSE_KEY<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(<sp />CY_RSLT_TLS_ERR_BASE<sp />+<sp />6<sp />)</highlight><highlight class="normal" /></codeline>
<codeline lineno="177"><highlight class="normal" /></codeline>
<codeline lineno="178"><highlight class="preprocessor">#define<sp />CY_RSLT_MODULE_TLS_PARSE_CERTIFICATE<sp /><sp /><sp /><sp /><sp />(<sp />CY_RSLT_TLS_ERR_BASE<sp />+<sp />7<sp />)</highlight><highlight class="normal" /></codeline>
<codeline lineno="179"><highlight class="normal" /></codeline>
<codeline lineno="180"><highlight class="preprocessor">#define<sp />CY_RSLT_MODULE_TLS_UNSUPPORTED<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(<sp />CY_RSLT_TLS_ERR_BASE<sp />+<sp />8<sp />)</highlight><highlight class="normal" /></codeline>
<codeline lineno="181"><highlight class="normal" /></codeline>
<codeline lineno="182"><highlight class="preprocessor">#define<sp />CY_RSLT_MODULE_TLS_HANDSHAKE_FAILURE<sp /><sp /><sp /><sp /><sp />(<sp />CY_RSLT_TLS_ERR_BASE<sp />+<sp />9<sp />)</highlight><highlight class="normal" /></codeline>
<codeline lineno="183"><highlight class="normal" /></codeline>
<codeline lineno="184"><highlight class="preprocessor">#define<sp />CY_RSLT_MODULE_TLS_CONNECTION_CLOSED<sp /><sp /><sp /><sp /><sp />(<sp />CY_RSLT_TLS_ERR_BASE<sp />+<sp />10<sp />)</highlight><highlight class="normal" /></codeline>
<codeline lineno="185"><highlight class="normal" /></codeline>
<codeline lineno="186"><highlight class="preprocessor">#define<sp />CY_RSLT_MODULE_TLS_SOCKET_NOT_CONNECTED<sp /><sp />(<sp />CY_RSLT_TLS_ERR_BASE<sp />+<sp />11<sp />)</highlight><highlight class="normal" /></codeline>
<codeline lineno="187"><highlight class="normal" /></codeline>
<codeline lineno="192"><highlight class="preprocessor">#ifdef<sp />__cplusplus</highlight><highlight class="normal" /></codeline>
<codeline lineno="193"><highlight class="normal">}<sp /></highlight><highlight class="comment">/*extern<sp />"C"<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="194"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="normal" /></codeline>
<codeline lineno="195"><highlight class="normal" /></codeline>
    </programlisting>
    <location file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" />
  </compounddef>
</doxygen>